//
//  ViewController.m
//  WMZAlert
//
//  Created by wmz on 2018/10/9.
//  Copyright © 2018年 wmz. All rights reserved.
//

#import "ViewController.h"
#import "WMZAlert.h"
@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.view.backgroundColor = [UIColor whiteColor];
    
//    AlertTypeNornal,               //默认弹窗
//    AlertTypeAuto,                 //默认弹窗自动消失
//    AlertTypeSystemPush,           //系统弹窗
//    AlertTypeSystemSheet,          //系统底部弹窗
//    AlertTypePay,                  //支付密码框
//    AlertTypeToast,                //顶部显示弹窗
//    AlertTypeWrite,                //带编辑框的弹窗
//    AlertTypeTime                  //带倒计时的弹窗
//    AlertTypeSelect                //带选择的弹窗
//    AlertTypeShare                 //带分享的弹窗
    
    NSArray *arr = @[@"AlertTypeNornal",@"AlertTypeAuto",@"AlertTypeSystemPush",@"AlertTypeSystemSheet",@"AlertTypePay",@"AlertTypeToast",@"AlertTypeWrite",@"AlertTypeTime",@"AlertTypeSelect",@"AlertTypeShare"];
    UIScrollView *s = [UIScrollView new];
    s.frame = self.view.bounds;
    s.contentSize = CGSizeMake(self.view.frame.size.width, 80*arr.count);
    [self.view addSubview:s];
    
    UIButton *tempBtn = nil;
    for (int i = 0; i<arr.count; i++) {
        UIButton* okBtn = [UIButton buttonWithType:UIButtonTypeCustom];
        [okBtn addTarget:self action:@selector(tip:) forControlEvents:UIControlEventTouchUpInside];
        [okBtn setTitle:arr[i] forState:UIControlStateNormal];
        [okBtn setTitleColor:[UIColor blueColor] forState:UIControlStateNormal];
        okBtn.backgroundColor = [UIColor whiteColor];
        okBtn.tag = i;
        [s addSubview:okBtn];
        if (!tempBtn) {
            okBtn.frame = CGRectMake(0,[self.navigationController visibleViewController]?64:20,200,40);
        }else{
            okBtn.frame = CGRectMake(0,CGRectGetMaxY(tempBtn.frame)+20,200,40);
        }
        okBtn.center = CGPointMake(self.view.center.x,okBtn.center.y);
        tempBtn = okBtn;
    }
    
    
}
- (void)tip:(UIButton*)sender {
//    [[WMZAlert shareInstance] showAlertWithType:AlertTypeNornal sueprVC:self leftTitle:nil rightTitle:nil headTitle:@"提示" textTitle:@"这是提示提示是是是撒大声地所都是多岁的收到收到收到地方大幅度发地方大幅度发的范德萨发斯蒂芬斯蒂芬大杀四方第三方" headTitleColor:nil textTitleColor:nil backColor:nil okBtnColor:nil cancelBtnColor:nil leftHandle:^(UIButton *button) {
//        NSLog(@"回调1");
//    } rightHandle:^(id any) {
//        NSLog(@"回调2");
//    }];
//
   
//    [[WMZAlert shareInstance] showAlertWithType:AlertTypeSystemSheet headTitle:@"提示" textTitle:@"这是提示提示是是是撒大声地所都是多岁的收到收到收到" leftHandle:nil rightHandle:^(id any) {
//        NSLog(@"回调3");
//    }];
//
//    [[WMZAlert shareInstance] showAlertWithType:AlertTypePay textTitle:@"10"];
    
    
//    [[WMZAlert shareInstance] showAlertWithType:AlertTypeAuto textTitle:@"自动消失"];
    
    
//    [[WMZAlert shareInstance] showAlertWithType:AlertTypePay headTitle:@"请输入支付密码" textTitle:@"100" leftHandle:nil rightHandle:^(id any) {
//        NSLog(@"%@",any);
//    }];
    
//    int y =  (arc4random() % 8);
    if (sender.tag==AlertTypeSelect) {
        NSArray *data = @[@"1",@"2",@"3",@"4",@"5",@"6",@"7",@"8",@"10",@"11",@"12"];
//        NSArray *data = @[@"1",@"2",@"3"];
        [[WMZAlert shareInstance] showAlertWithType:sender.tag headTitle:@"标题" textTitle:data leftHandle:^(id anyID) {
            NSLog(@"%@",anyID);
        }   rightHandle:^(id any) {
            NSLog(@"%@",any);
        }];
        
    }else if (sender.tag == AlertTypeShare){
        NSDictionary *dic = @{@"微信":@"wallet",@"微博":@"wallet",@"淘宝":@"wallet",@"支付宝":@"wallet",@"网页":@"wallet",@"钉钉":@"wallet",@"云信":@"wallet"};
        [[WMZAlert shareInstance] showAlertWithType:sender.tag headTitle:@"地方地方分地方地方电视剧付款电视剧看风景的时刻福建省电力局福克斯来得及发考虑到设计费开始多了几分快圣诞节疯狂第三节疯狂绝对是开发几点开始房间肯定是房价快速的减肥看电视剧付款电视剧疯狂倒计时发送" textTitle:dic leftHandle:^(id anyID) {
            NSLog(@"%@",anyID);
        }   rightHandle:^(id any) {
            NSLog(@"%@",any);
        }];
    }
    else {
        [[WMZAlert shareInstance] showAlertWithType:sender.tag headTitle:@"标题" textTitle:@"100" leftHandle:^(id anyID) {
            NSLog(@"%@",anyID);
        }   rightHandle:^(id any) {
            NSLog(@"%@",any);
        }];
        
    }

//    [[WMZAlert shareInstance] showAlertWithType:sender.tag headTitle:@"倒计时" textTitle:@"25" leftHandle:nil   rightHandle:^(id any) {
//        NSLog(@"%@",any);
//    }];
//}
}


@end
